from filesystem_defs import *

#create root dir
root = Dir("/", None)

# create boot etc usr home  under root
boot = Dir("boot", root)
etc = Dir("etc", root)
usr = Dir("usr", root)
home = Dir("home", root)

# create some subdirs
confd = Dir("conf.d", etc)
usrbin = Dir("bin", usr)
local = Dir("local", usr)
usrlocalbin = Dir("bin", local)

# add some files 
# the C compiler ;-)
gcc = File("gcc", usrbin)

# the famous 'vi' text editor
vi = File("vi", usrbin)

# the shell iterpreter under /usr/local/bin
bash = File("bash", usrlocalbin)

# the python interpreter
pyt = File("python", usrlocalbin)

# some system configuration files under /etc
rcconf = File("rc.conf", confd)

# file system configuration table
fstab = File("fstab", etc)

# 2 home directories
gia = Dir("giacomo", home)
anna = Dir("anna", home)

# universita under giacomo
uni = Dir("universita", gia)
# 2011 and 2012 folders under universita
uni11 = Dir("2011", uni)
uni12 = Dir("2012", uni)

# some python files under uni12
biblio = File("biblioteca.py", uni12)
provetta3 = File("provetta3.py", uni12)

# images folder under /home/anna
annaimg = Dir("images", anna)

# some pictures of anna in /home/anna/images
aimg1 = File("anna1.jpg", annaimg)
aimg2 = File("anna2.jpg", annaimg)

# holidays subfolder in /home/anna/images
holidaysimgs = Dir("holidays", annaimg)

# a bunch of pictures inside holidays dir

himg1 = File("holidays1.jpg", holidaysimgs)
himg2 = File("holidays2.jpg", holidaysimgs)
himg3 = File("holidays3.jpg", holidaysimgs)
himg4 = File("holidays4.jpg", holidaysimgs)
himg5 = File("holidays5.jpg", holidaysimgs)


# Finally, create the file manager
fm = FileManager(root)


# now see filesystem.txt for usage and test





